
Name: qdvdauthor
Version: 0.1.4
Release: alt0.1beta

%define qdvdauthor_dir %name-%version

Summary: The GUI frontend for dvdauthor and other related tools
License: GPL
Group: Video
Url: http://sourceforge.net/projects/qdvdauthor/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%name/%name-%version.tar.bz2
#Patch1: %name-%version-alt-configure.patch

# manually removed: nvidia_glx_common qt3-designer
# Automatically added by buildreq on Sat Dec 30 2006
BuildRequires: dvdauthor gcc-c++ kdepim-devel libqscintilla-designer libqwt-devel libXext-devel mjpegtools mplayer 
Requires: dvdauthor >= 0.6.10 bzip2 ImageMagick lame
Requires: mjpegtools sox netpbm vorbis-tools

%description
qdvdauthor is a gui frontend for using dvdauthor and dvd-slideshow
scripts to easily build DVD menus and assemble the DVD VOB files.
Build with MPlayer for playing.

%prep
%setup -q

%build
./configure --prefix=%buildroot%_prefix --qt-dir=%_libdir/qt3 \
	    --build-qplayer --build-qslideshow --with-mplayer-support

%install
mkdir -p %buildroot{%_bindir,%_man1dir,%_menudir}
mkdir -p %buildroot{%_pixmapsdir,%_desktopdir,%_datadir/%name}
install -m 0755 bin/qdvdauthor %buildroot%_bindir
install -m 0755 bin/qslideshow %buildroot%_bindir
install -m 0755 bin/qplayer %buildroot%_bindir

install -m 0644 qdvdauthor.png %buildroot%_pixmapsdir
install -m 0644 qdvdauthor.desktop %buildroot%_desktopdir
install -m 0644 qdvdauthor/i18n/*.qm %buildroot%_datadir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/%name/
%_pixmapsdir/qdvdauthor.png
%_desktopdir/qdvdauthor.desktop
%doc README TODO CHANGELOG

%changelog
* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1.4-alt0.1beta
- new version, cleanup spec, remove COPYING
- change packager
- update buildreq, fix requires
- build with mplayer

* Wed Dec 22 2004 Alex Yustasov <yust@altlinux.ru> 0.0.9-alt1
- initial release
